/* $Id: mat_apply_opdmod.h,v0.5 2014-06-15 12:56:21 pberio Exp $
 *
 * This file is part of the ESO Matisse pipeline
 * Copyright (C) 2012-2015 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

/*
 * $Author: pberio $
 * $Date: 2012/09/26 16:50:00 $
 * $Revision: 0.5 $
 * $Name: mat_apply_opdmod.h $
 */

#ifndef MAT_APPLY_OPDMOD_H
#define MAT_APPLY_OPDMOD_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>
#include <math.h>
#include "mat_drl.h"
#include "mat_utils.h"
/*-----------------------------------------------------------------------------
                                   Define
 -----------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------
                                   Functions prototypes
 -----------------------------------------------------------------------------*/
int mat_apply_opdmod(int maxstep, 
		     cpl_vector *real,
		     cpl_vector *imag,
		     int filledCycle[],
		     cpl_vector *localOpd,
		     double lambda, 
		     cpl_vector *result,
		     int resolution,
		     int nbdet,
                     int flagBcdIN);

int mat_apply_demod(cpl_vector *real,
		    cpl_vector *imag,
		    double *localOpd,
		    double lambda, 
		    cpl_vector *result,
		    int resolution,
		    int nbdet,
                    int flagUp,
                    int flagBcdIN);

#endif
